package com.sundata.internalevaluation.configuration.mapper;

import com.sundata.internalevaluation.configuration.model.DataItemConfigModel;
import com.sundata.internalevaluation.configuration.model.DataSourceModel;
import com.sundata.internalevaluation.configuration.model.InputParamModel;
import com.sundata.internalevaluation.configuration.model.QueryLogicModel;
import org.apache.ibatis.annotations.Param;


import java.util.List;

public interface DataSourcesMapper {
    List<DataSourceModel> getDataList(DataSourceModel model);

    List<InputParamModel> getInputParamList(String dataSourcesNo);

    List<DataItemConfigModel> getDataItemConfigList(String dataSourcesNo);

    List<QueryLogicModel> getQueryLogicList(String dataSourcesNo);

    void createData(DataSourceModel model);

    void createInputParamData(@Param("inputParam") List<InputParamModel> inputParam);

    void createDataItemConfigData(@Param("dataItemConfig") List<DataItemConfigModel> dataItemConfig);

    void createQueryLogicData(@Param("queryLogic") List<QueryLogicModel> queryLogic);

    void deleteRows(DataSourceModel model);

    void updateExistData(DataSourceModel model);

    void deleteInputParamRows();

    void deleteDataSourceRows(DataSourceModel model);

    void deleteQueryLogicRows(DataSourceModel model);

    DataSourceModel selectDetailData(String dataSourcesNo);
}
